/* commongui.h
 * This file is part of Vara digital painting program
 * Copyright 2021, 2023 Nandakumar Edamana
 * Distributed under GNU General Public License, version 3
 */ 

#ifndef N96_DRAW_commongui_h
#define N96_DRAW_commongui_h

#include <gtk/gtk.h>
typedef struct _ngg_vtab_t_ngg_custwid {
	void * clsobj;
} _ngg_vtab_t_ngg_custwid;
typedef _ngg_vtab_t_ngg_custwid ngg_custwid;

GtkEntryCompletion* gtk_entry_completion_new();
typedef struct NggGuiStringReader NggGuiStringReader;
typedef struct _ngg_vtab_t_NggGuiStringReader {
} _ngg_vtab_t_NggGuiStringReader;

typedef struct NggGuiStringReader {
	_ngg_vtab_t_NggGuiStringReader _ngg_vtab_ngg_gui_string_reader;
	const char * str;
} NggGuiStringReader;

void gtk_menu_shell_append(GtkMenuShell *shell, GtkWidget *chld);
typedef struct _ngg_tuple_ngg_coords_from_event {
	double m0;
	double m1;
} _ngg_tuple_ngg_coords_from_event;

void gui_quit();
void ngg_gui_string_reader_construct(NggGuiStringReader *this, const char * str);
const char * ngg_gui_string_reader_get_utf8_string(NggGuiStringReader *this);
void ngg_gui_string_reader_destruct(NggGuiStringReader *this);
void dummyfun();
GtkLabel* label_with_text_new(const char * txt);
int list_index_from_selected_row(GtkListBoxRow *row);
_ngg_tuple_ngg_coords_from_event ngg_coords_from_event(GdkEvent *event);
_ngg_tuple_ngg_coords_from_event _ngg_tuple_ngg_coords_from_event_default();

#endif /* N96_DRAW_commongui_h */
