/* pixel.h
 * This file is part of Vara digital painting program
 * Copyright 2021, 2023 Nandakumar Edamana
 * Distributed under GNU General Public License, version 3
 */ 

#ifndef N96_DRAW_pixel_h
#define N96_DRAW_pixel_h

#define PIXSTRIDE (4)
typedef struct Pixel {
	double rgb[PIXSTRIDE];
} Pixel;

void nan_pixel_assert(Pixel pixel);
Pixel rgbpixel_with_alpha(Pixel pixel, double a);
Pixel pixel_default();

#endif /* N96_DRAW_pixel_h */
