/* brush-params.c
 * This file is part of Vara digital painting program
 * Copyright 2021, 2023 Nandakumar Edamana
 * Distributed under GNU General Public License, version 3
 */ 

#include <assert.h>
#include <stdarg.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <stdbool.h>

#include "brush-params.h"

BrushParams brush_params_default()
{
	BrushParams s;
	s.opacity = 0.0;
	s.pressure_size = false;
	s.softness = 0.0;
	s.siz = 0;
	s.type = BRUSHTYPE_CIRCLE1;

	return s;
}

